
%define icons_svg 1

Name:          oxygen-icon-theme 
Summary:       Oxygen icon theme 
Version:       4.2.2
Release:       1%{?dist}

License:       LGPLv3+ 
Group:         User Interface/Desktops
URL:           http://www.kde.org/
Source0:       ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdebase-runtime-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch

BuildRequires: kdelibs4-devel >= %{version}

# Most of the following deps are bogus in this context, needed only 
# because we're curerntly building from kdebase-runtime tarball.
# upstream will provide standalone oxygen-icon-theme tarballs soon.
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: OpenEXR-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: pulseaudio-libs-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel

%{?!icons_svg:Obsoletes: oxygen-icon-theme-scalable < %{version}-%{release}}


%description
%{summary}.

%package scalable
Summary: Oxygen icon theme, scalable(svg) icons
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
%description scalable
%{summary}.

%prep
%setup -q -n kdebase-runtime-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}/pics/oxygen

%if 0%{?icons_svg}
find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" > svg.list
sed -e "s|^%{buildroot}||" svg.list > svg-include.list
sed -e "s|^%{buildroot}|%exclude |" svg.list > svg-exclude.list
%else
find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" | \
  xargs --no-run-if-empty rm -fv
%endif


%clean
rm -rf %{buildroot}


%post 
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans 
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun 
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%if 0%{?icons_svg}
%post scalable
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans scalable
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun scalable
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi
%endif


%files %{?icons_svg:-f svg-exclude.list}
%defattr(-,root,root,-)
%doc pics/oxygen/AUTHORS
%doc pics/oxygen/CONTRIBUTING
%doc pics/oxygen/COPYING
%doc pics/oxygen/TODO*
#{_kde4_iconsdir}/default.kde4
%{_kde4_iconsdir}/oxygen/

%if 0%{?icons_svg}
%files scalable -f svg-include.list
%defattr(-,root,root,-)
%endif


%changelog
* Tue Mar 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-1
- kde-4.2.2

* Mon Mar 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-11
- License: LGPLv3+
- %%doc: AUTHORS CONTRIBUTING COPYING TODO*

* Fri Mar 27 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-10
- standalone (noarch) oxygen-icon-theme

